# from pdf_parser import get_text_elements, generate_template, read_template
from template_manager import *

# =========== create templates ===========

# path = "/home/reverend/Programmierung/git_projects/warpzone-rechnungen/2016/Eingangsrechnungen/2016-09-01 sipgate EB589544.pdf"
path = "pdf/2016-09-01 sipgate EB589544.pdf"
examples = {"Rechnung": "EB589544", "Rechnungsdatum": "01.09.2016", "Mandatsreferenz": "8ADB836C18A8491092EA62F7F35F8A28"}
create_template("sipgate", path, examples)

# path = "/home/reverend/Programmierung/git_projects/warpzone-rechnungen/2017/Eingangsrechnungen/2017-08-12 rabe getraenke 33971.pdf"
path = "pdf/2017-08-12 rabe getränke 33971.pdf"
examples = {"Rechnungsbetrag": "183,43", "Datum": "12.8.2017", "RECHNUNGSNr": "33971"}
create_template("rabe", path, examples)

# =========== use templates to analyse pdfs ans read data ===========

evaluate_pdf(p_template_name='sipgate', p_path='pdf/2016-09-01 sipgate EB589544.pdf')
evaluate_pdf(p_template_name='sipgate', p_path='pdf/2017-01-01 sipgate EB744727.pdf')
evaluate_pdf(p_template_name='sipgate', p_path='pdf/2017-03-01 sipgate EB817766.pdf')
evaluate_pdf(p_template_name='sipgate', p_path='pdf/2017-05-01 sipgate EB892848.pdf')
evaluate_pdf(p_template_name='sipgate', p_path='pdf/2017-07-01 sipgate EB967525.pdf')
evaluate_pdf(p_template_name='sipgate', p_path='pdf/2017-09-01 sipgate EB1040838.pdf')

evaluate_pdf(p_template_name='rabe', p_path='pdf/2017-01-21 rabe 32834.pdf')
evaluate_pdf(p_template_name='rabe', p_path='pdf/2017-03-22 rabe 33162.pdf')
evaluate_pdf(p_template_name='rabe', p_path='pdf/2017-05-25 rabe Getraenke 33527.pdf')
evaluate_pdf(p_template_name='rabe', p_path='pdf/2017-07-12 rabe getränke 33811.pdf')
evaluate_pdf(p_template_name='rabe', p_path='pdf/2017-08-12 rabe getränke 33971.pdf')
evaluate_pdf(p_template_name='rabe', p_path='pdf/2017-10-29 Rabe Getränke 34383.pdf')
evaluate_pdf(p_template_name='rabe', p_path='pdf/2017-12-08 Rabe Getränke 34589.pdf')







# e = get_text_elements(path)

# g = generate_template(examples, e[0])

# path = "/home/reverend/Programmierung/git_projects/warpzone-rechnungen/2016/Eingangsrechnungen/2016-07-27 sipgate EB540908.pdf"
# e = get_text_elements(path)
# read_template(g, e[0])
